Linux Kernel compat_alloc_user_space Privilege Escalation Exploit

The "compat_alloc_user_space" function, which belongs to the 32-bit compatibility layer for 64-bit versions of Linux, can produce a stack pointer underflow when it's called with an arbitrary length input. This vulnerability can be used by local unprivileged users to corrupt the kernel memory in order to gain root privileges.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2010-3081
Product Version: 
12.3
Released Date: 
Tuesday, August 28, 2012 - 00:00